import javax.swing.*;
import javax.swing.table.*;
import java.awt.*;

public class ShareTableModel{
	public static void main(String[] args) {
		new ShareTableModel();
	}
	public ShareTableModel(){
		JFrame frame = new JFrame("Sharing a Table Model Between JTable Components!");
		frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		JPanel panel = new JPanel();
		String data[][] = {{"Vinod","programmer","5000"},{"Deepak","Writer","20000"},{"Noor","Writer","30000"},{"Rinku","programar","25000"}};
		String col[] = {"Emp_name","Emp_depart","Emp_sal"};
		DefaultTableModel model = new DefaultTableModel(data, col);
		JTable table1 = new JTable(model){
			public Dimension getPreferredScrollableViewportSize() {
				return getPreferredSize();
			}
		};	
//		table1.getColumnModel().removeColumn(table1.getColumnModel().getColumn(0));
		JTableHeader header1 = table1.getTableHeader();
		header1.setBackground(Color.yellow);
		JTable table2 = new JTable(model){
			public Dimension getPreferredScrollableViewportSize() {
				return getPreferredSize();
			}
		};	
		JTableHeader header2 = table2.getTableHeader();
		header2.setBackground(Color.yellow);
		JSplitPane spane = new JSplitPane(JSplitPane.HORIZONTAL_SPLIT);
		spane.add(new JScrollPane(table1));
		spane.add(new JScrollPane(table2));
		panel.add(spane);
		frame.add(panel);
		frame.setUndecorated(true);
		frame.getRootPane().setWindowDecorationStyle(JRootPane.PLAIN_DIALOG);
		frame.setSize(500,150);
		frame.setVisible(true);		
	}
}